For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate a new HRIS Organization Structure.
      • DELDelete an Org Structure from the Organization
      • DELDelete an Org Structure from the Organization by external ID
      • DELDelete Organization Structure
      • GETFetch an Org Structure from the Organization
      • GETFetch an Org Structure from the Organization
      • GETGet Organization Structure
      • GETGet Organization Structure
      • GETRetrieve custom fields for organization
      • PATCHUpdate an existing HRIS Org Structure
      • PATCHUpdate an existing HRIS Org Structure by external ID
      • PUTUpdate organization structure
      • PATCHUpdate Organization Structure
      • PATCHUpdate organization structure team custom fields
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganization Structure

Update organization structure team custom fields

PATCH
/hris/organization-structures/teams/:team_id/custom-fields
PATCH
/rest/v2/hris/organization-structures/teams/:team_id/custom-fields
$curl -X PATCH https://api.letsdeel.com/rest/v2/hris/organization-structures/teams/5926d8c4-e7d0-41db-9bec-b73d0de992bf/custom-fields \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "custom_fields": [
> {
> "custom_field_id": "5926d8c4-e7d0-41db-9bec-b73d0de992bf",
> "value": "Marketing"
> }
> ]
> }
>}'
1{
2 "data": {
3 "id": "5926d8c4-e7d0-41db-9bec-b73d0de992bf",
4 "message": "Organization structure custom field created successfully",
5 "created_at": "2024-02-01T12:00:00.000Z"
6 }
7}

Applies a partial update to custom field values on the specified team. Updates can be scheduled for a future effective date, and setting a field’s value to null deletes that field value. Token scopes: organizations:read

Was this page helpful?
Previous

List organization tasks

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

team_idstringRequiredformat: "uuid"

Public ID (UUID) of the HRIS team/organization structure

Request

This endpoint expects an object.
dataobjectRequired

Response

Organization structure custom fields updated successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication